
Audacious - OLD, PLEASE USE GITHUB DISCUSSIONS/ISSUES - Bug #810

Crash when adding .cue file

July 21, 2018 05:58 - zol zol

Status: Closed Start date: July 21, 2018

Priority: Major Due date:  

Assignee:  % Done: 100%

Category: plugins/cue Estimated time: 0.00 hour

Target version: 3.10   

Affects version: 3.9   

Description

When I add a certain .cue file, audacious reliably crashes. I drag the .cue file from a file manager into the playlist window. I attached

the .cue file. It doesn't seem to matter if the rest of the actual song files are in the same directory, it crashes regardless for me.

Winamp skin mode

linux mint 19, cinnamon WM

History

#1 - July 24, 2018 19:10 - John Lindgren

Please attach the backtrace (as a separate file).

#2 - August 03, 2018 13:46 - zol zol

John Lindgren wrote:

Please attach the backtrace (as a separate file).

 

$ gdb audacious

GNU gdb (Ubuntu 8.1-0ubuntu3) 8.1.0.20180409-git

Copyright (C) 2018 Free Software Foundation, Inc.

License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>

This is free software: you are free to change and redistribute it.

There is NO WARRANTY, to the extent permitted by law.  Type "show copying"

and "show warranty" for details.

This GDB was configured as "x86_64-linux-gnu".

Type "show configuration" for configuration details.

For bug reporting instructions, please see:

<http://www.gnu.org/software/gdb/bugs/&gt;.

Find the GDB manual and other documentation resources online at:

<http://www.gnu.org/software/gdb/documentation/&gt;.

For help, type "help".

Type "apropos word" to search for commands related to "word"...

Reading symbols from audacious...(no debugging symbols found)...done.

(gdb) run

Starting program: /usr/bin/audacious

[Thread debugging using libthread_db enabled]

Using host libthread_db library "/lib/x86_64-linux-gnu/libthread_db.so.1".

[New Thread 0x7ffff48b8700 (LWP 3528)]

[New Thread 0x7fffeffff700 (LWP 3529)]

[New Thread 0x7fffef7fe700 (LWP 3530)]

[New Thread 0x7fffeeffd700 (LWP 3531)]

[Thread 0x7fffef7fe700 (LWP 3530) exited]

[New Thread 0x7fffef7fe700 (LWP 3535)]

ERROR vfs_local.cc:119 [fopen]: /home/luke/Music/01 - Lament For Boromir.wav: No such file or directory

ERROR vfs_local.cc:119 [fopen]: /home/luke/Music/02 - Song Of Gondor.wav: No such file or directory

ERROR vfs_local.cc:119 [fopen]: /home/luke/Music/03 - The Long List Of The Ents (I).wav: No such file or directory

ERROR vfs_local.cc:119 [fopen]: /home/luke/Music/04 - Treebeard's Song.wav: No such file or directory

ERROR vfs_local.cc:119 [fopen]: /home/luke/Music/05 - The Ent And The Entwife.wav: No such file or directory

ERROR vfs_local.cc:119 [fopen]: /home/luke/Music/06 - Bregalad's Song.wav: No such file or directory

ERROR vfs_local.cc:119 [fopen]: /home/luke/Music/07 - The Ent's Marching Song.wav: No such file or directory

ERROR vfs_local.cc:119 [fopen]: /home/luke/Music/08 - Galadriel's Messages.wav: No such file or directory
ERROR vfs_local.cc:119 [fopen]: /home/luke/Music/09 - Lament Of The Rohirrim.wav: No such file or directory

WARNING charset.cc:75 [whine_locale]: Cannot convert from locale (UTF-8): 10 - Gandalf's Song Of L�rien.wav

Thread 6 "audacious" received signal SIGSEGV, Segmentation fault.

[Switching to Thread 0x7fffef7fe700 (LWP 3535)]

__strstr_sse2 (haystack_start=0x0, needle_start=0x7ffff7bbdc05 "://") at ../string/strstr.c:63

63    ../string/strstr.c: No such file or directory.

(gdb) bt

#0  __strstr_sse2 (haystack_start=0x0, needle_start=0x7ffff7bbdc05 "://") at ../string/strstr.c:63

#1  0x00007ffff7b9700b in uri_get_scheme(char const*) () from /usr/lib/x86_64-linux-gnu/libaudcore.so.5

#2  0x00007ffff7bafa8b in aud_file_find_decoder(char const*, bool, VFSFile&, String*) ()

from /usr/lib/x86_64-linux-gnu/libaudcore.so.5

#3  0x00007fffdb71d939 in ?? () from /usr/lib/x86_64-linux-gnu/audacious/Container/cue.so

#4  0x00007ffff7baa6a1 in ?? () from /usr/lib/x86_64-linux-gnu/libaudcore.so.5

#5  0x00007ffff7b927a0 in ?? () from /usr/lib/x86_64-linux-gnu/libaudcore.so.5

#6  0x00007ffff7b929b0 in ?? () from /usr/lib/x86_64-linux-gnu/libaudcore.so.5

#7  0x00007ffff796d6db in start_thread (arg=0x7fffef7fe700) at pthread_create.c:463

#8  0x00007ffff67e888f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

#3 - August 03, 2018 14:39 - John Lindgren

- % Done changed from 0 to 100

- Target version set to 3.10

- Status changed from New to Closed

- Category set to plugins/cue

Thanks.  Should be fixed now:

https://github.com/audacious-media-player/audacious-plugins/commit/b6083bb96b59f9af13594980ce30c7d24eb5eab0

#4 - August 03, 2018 14:43 - John Lindgren

To get the cuesheet to load correctly, you should add 'ISO-8859-1' to the list of fallback character encodings (File -> Settings -> Advanced ->

Compatibility).  This is the default setting, and in general, removing 'ISO-8859-1' from the list is a bad idea.

#5 - August 04, 2018 21:09 - zol zol

John Lindgren wrote:

(File -> Settings -> Advanced -> Compatibility).

 

For the OS system settings? I don't think linux mint has a fallback option.
#6 - August 05, 2018 00:53 - John Lindgren

It's a setting in Audacious:

 3cJlVdHl.png 

#7 - August 05, 2018 01:21 - zol zol

John Lindgren wrote:

It's a setting in Audacious:

 3cJlVdHl.png 

 

I see. I don't have advanced settings entry on my audacious settings page so I thought you were talking about something else.

Files

The Two Towers.cue 3.48 KB July 21, 2018 zol zol
